import { html as h } from "lit";
import { property as l } from "lit/decorators.js";
import { PieIconComponent as n } from "./PieIconComponent.js";
import { safeCustomElement as f } from "@justeattakeaway/pie-webc-core";
var m = Object.defineProperty, g = Object.getOwnPropertyDescriptor, i = (p, t, o, r) => {
  for (var e = r > 1 ? void 0 : r ? g(t, o) : t, a = p.length - 1, c; a >= 0; a--)
    (c = p[a]) && (e = (r ? c(t, o, e) : c(e)) || e);
  return r && e && m(t, o, e), e;
};
let s = class extends n {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--chatLarge", this.class = "c-pieIcon c-pieIcon--chatLarge", this.name = "IconChatLarge";
  }
  render() {
    return h`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--chatLarge"><path d="M25.625 4.625H6.375A2.625 2.625 0 0 0 3.75 7.25v21.875h2.266l4.988-4.996a.92.92 0 0 1 .621-.254h14a2.625 2.625 0 0 0 2.625-2.625v-14a2.625 2.625 0 0 0-2.625-2.625M26.5 21.25a.875.875 0 0 1-.875.875h-14c-.696 0-1.363.278-1.855.77l-4.27 4.27V7.25a.875.875 0 0 1 .875-.875h19.25a.875.875 0 0 1 .875.875zm-9.187-7a1.313 1.313 0 1 1-2.626 0 1.313 1.313 0 0 1 2.626 0m5.25 0a1.313 1.313 0 1 1-2.626 0 1.313 1.313 0 0 1 2.625 0m-10.5 0a1.313 1.313 0 1 1-2.626 0 1.313 1.313 0 0 1 2.626 0"></path></svg>`;
  }
};
i([
  l({ type: String, reflect: !0 })
], s.prototype, "size", 2);
i([
  l({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = i([
  f("icon-chat-large")
], s);
export {
  s as IconChatLarge
};
